﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class DataPage : System.Web.UI.Page
{
    public List<Student> studentList = null;
    public string pageHtml = string.Empty;
    protected void Page_Load(object sender, EventArgs e)
    {
        string name = Request["Name"] ?? "";
        int pageSize = Convert.ToInt32(Request["PageSize"]??"");
        
        int id = 0;
        int.TryParse(Request["Id"], out id);

        int pageIndex = 0;
        int.TryParse(Request["PageIndex"], out pageIndex);
            
      
        studentList = GetStudentList();

        if (!string.IsNullOrEmpty(name))
        {
            studentList=studentList.FindAll(w => w.Name.Contains(name));
        }

        if (id > 0)
        {
            studentList = studentList.FindAll(w => w.Id == id);
        }

        
        //下面代码是随便搞了个分页 
        int pageTotal=(studentList.Count % pageSize)==0?(studentList.Count/3):(studentList.Count/3+1);
        for (int i = 0; i < pageTotal; i++)
        {
            pageHtml += string.Format("<span  {1}>  {0}   </span>", i, i == pageIndex ? "style='background-color:red;'" : "");
        }

        studentList = studentList.Skip(pageSize * pageIndex).Take(pageSize).ToList();
    }

    private List<Student> GetStudentList() {
        return  new List<Student>(){
            new Student(){
                Name="aaaaaa",
                 Sex=true,
                 Id=1
            },
            new Student(){
                Name="aaaaaaaaabbbbbbbbbb",
                 Sex=false ,
                 Id=1
            },
            new Student(){
                Name="aaaaccccc",
                 Sex=false ,
                 Id=1
            },
            new Student(){
                Name="aaaaadddddd",
                 Sex=true ,
                 Id=1
            },
            new Student(){
                Name="eeeeeeeeeee",
                 Sex=true,
                 Id=1
            },
            new Student(){
                Name="fffffff",
                 Sex=true,
                 Id=1
            },
            new Student(){
                Name="ggggggggg",
                 Sex=false ,
                 Id=2
            },
            new Student(){
                Name="hhhhhhhh",
                 Sex=true,
                 Id=2
            },
            new Student(){
                Name="iiiiiii",
                 Sex=false ,
                 Id=1
            },
            new Student(){
                Name="jjjjjjjjjj",
                 Sex=false ,
                 Id=1
            },
            new Student(){
                Name="kkkkkkkkkkkk",
                 Sex=true,
                 Id=1
            }
        };
    }


}

public class Student
{
    public string Name { get; set; }
    public bool Sex { get; set; }
    public int Id { get; set; }

}